Package wx :: Class ChildFocusEvent

[frames | no frames]

## Type ChildFocusEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        ChildFocusEvent

A child focus event is sent to a (parent-)window when one of its child windows gains focus, so that the window could restore the focus back to its corresponding child if it loses it now and regains later.

Notice that child window is the direct child of the window receiving the event, and so may not be the actual widget recieving focus if it is further down the containment heirarchy. Use `wx.Window.FindFocus` to get the widget that is actually receiving focus.

Method Summary
ChildFocusEvent | ``__init__`(self, win)` Constructor
Window | ``GetWindow`(self)` The window, or (grand)parent of the window which has just received the focus.

Property Summary
| `thisown`: The membership flag
| `Window`: See `GetWindow`

Method Details

### __init__(self, win=None)
(Constructor)

Constructor

  Parameters:
    `win`
    (type=Window)

  Returns:
    ChildFocusEvent
  Overrides:
    `wx.CommandEvent.__init__`

### GetWindow(self)

The window, or (grand)parent of the window which has just received the focus.

  Returns:
    Window

Property Details

### thisown

The membership flag

### Window

See `GetWindow`

  Get Method:
    `GetWindow`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:48 2007 | http://epydoc.sf.net